
import HomePage from '../pages/home.vue'
import RadioPage from '../pages/Radio.vue'
import RadioLivePage from '../pages/RadioLive.vue'
import RadioShowsPage from '../pages/RadioShows.vue'
import ShowPage from '../pages/Show.vue'
import NotFoundPage from '../pages/404.vue'

var routes = [
  {
    path: (process.env.NODE_ENV === 'development') ? '/' : '/plaid/',
    master: true,
    component: HomePage,
    detailRoutes: [
    {
      name: 'Radio',
      path: '/radio/:radioName',
      component: RadioPage,
    },
    {
      name: 'RadioLive',
      path: '/radio/:radioName/live',
      component: RadioLivePage,
    },
    {
      name: 'RadioShows',
      path: '/radio/:radioName/shows',
      component: RadioShowsPage,
    },
    {
      name: 'ShowPage',
      path: '/radio/:radioId/shows/:showId',
      component: ShowPage
    }],
  },
  {
    path: '(.*)',
    component: NotFoundPage,
  },
]

export default routes
